#ifndef __ASSASSIN_BROWSER__H__
#define __ASSASSIN_BROWSER__H__

#include <packagekit/pk-enum.h>
#include <pkutil.h>
#include <etk/Etk.h>
#include <Evas.h>
#include <Ecore.h>
#include <gears.h>

/*
 * A browser to browse the package categories and individual packages.
 */


struct Scroll_Page * get_categories_page();
#define NUMBER_BUTTOM_LIST 3
struct Group_List {
	struct Scroll_Page * page[NUMBER_BUTTOM_LIST];
	struct Scroll_List * list[NUMBER_BUTTOM_LIST];
	Evas_List *sublist[NUMBER_BUTTOM_LIST];
	Etk_Tree_Row *row;
};

struct PKG_Item {
	char *packageid;
	Etk_Tree_Row *row;
};

struct Package_Detail {
	Evas_Object *package_view;
	Etk_Widget  *embed;
	Etk_Widget  *text_view;
};

struct Group_List * get_packages_list(const char *header, PkGroupEnum group, struct Group_List *GL);

#endif
